Package: org.codehaus.groovy.classgen.asm

## [Java] Class BinaryBooleanExpressionHelper

- org.codehaus.groovy.classgen.asm.BinaryBooleanExpressionHelper

- Binary write operations specialised for Booleans

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BinaryExpressionWriter` | `stdCompareCodes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BinaryBooleanExpressionHelper (WriterController wc)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `doubleTwoOperands(org.objectweb.asm.MethodVisitor mv)`
    `` | `protected MethodCaller` | `getArrayGetCaller()`
    `` | `protected ClassNode` | `getArrayGetResultType()`
    `` | `protected MethodCaller` | `getArraySetCaller()`
    `` | `protected ClassNode` | `getDevisionOpResultType()`
    `` | `protected ClassNode` | `getNormalOpResultType()`
    `` | `protected int` | `getShiftOperationBytecode(int type)`
    `` | `protected int` | `getStandardOperationBytecode(int type)`
    `` | `protected void` | `removeTwoOperands(org.objectweb.asm.MethodVisitor mv)`
    `` | `protected boolean` | `writeDivision(boolean simulate)`
    `` | `protected void` | `writeMinusMinus(org.objectweb.asm.MethodVisitor mv)`
    `` | `protected void` | `writePlusPlus(org.objectweb.asm.MethodVisitor mv)`
    `` | `boolean` | `writePostOrPrefixMethod(int operation, boolean simulate)`
    `` | `protected boolean` | `writeStdOperators(int type, boolean simulate)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BinaryIntExpressionHelper` | `doubleTwoOperands, getArrayGetCaller, getArraySetCaller, getBitwiseOperationBytecode, getCompareCode, getDevisionOpResultType, getNormalOpResultType, getShiftOperationBytecode, getStandardOperationBytecode, removeTwoOperands, supportsDivision, writeMinusMinus, writePlusPlus, writeSpaceship, writeStdCompare`

    `class BinaryExpressionWriter`

    `arrayGet, arraySet, doubleTwoOperands, getArrayGetCaller, getArrayGetResultType, getArraySetCaller, getBitwiseOperationBytecode, getCompareCode, getDevisionOpResultType, getNormalOpResultType, getShiftOperationBytecode, getStandardOperationBytecode, removeTwoOperands, supportsDivision, write, writeBitwiseOp, writeDivision, writeMinusMinus, writePlusPlus, writePostOrPrefixMethod, writeShiftOp, writeSpaceship, writeStdCompare, writeStdOperators`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public BinaryBooleanExpressionHelper(WriterController wc)

  - ### Method Detail

    - #### protected void doubleTwoOperands(org.objectweb.asm.MethodVisitor mv)

    - #### @Override protected MethodCaller getArrayGetCaller()

    - #### @Override protected ClassNode getArrayGetResultType()

    - #### @Override protected MethodCaller getArraySetCaller()

    - #### protected ClassNode getDevisionOpResultType()

    - #### protected ClassNode getNormalOpResultType()

    - #### protected int getShiftOperationBytecode(int type)

    - #### protected int getStandardOperationBytecode(int type)

    - #### protected void removeTwoOperands(org.objectweb.asm.MethodVisitor mv)

    - #### protected boolean writeDivision(boolean simulate)

    - #### protected void writeMinusMinus(org.objectweb.asm.MethodVisitor mv)

    - #### protected void writePlusPlus(org.objectweb.asm.MethodVisitor mv)

    - #### public boolean writePostOrPrefixMethod(int operation, boolean simulate)

    - #### @Override protected boolean writeStdOperators(int type, boolean simulate)